Módulos do PERL

Nas últimas atualizações do kernel do Linux, o meu sistema de alertas deixou de perceber qual o último kernel instalado.

Na máquina que faz o gateway para a DMZ, tenho um script em PERL que acede a uma BD para atualizar os números das versões dos vários pacotes de software instalados, incluindo o kernel. Nenhum deles estava a ser atualizado.

Esse script corre, normalmente, a partir do crontab, de foram automática. Corri esse script manualmente e recebi uma mensagem que dizia haver um conflito entre o PERL e um módulo. Só estava a usar o DBI, para acesso a uma BD, por isso atualizei-o da seguinte forma:

# cpan
cpan> upgrade DBI

Deixe uma resposta

O seu endereço de email não será publicado. Campos obrigatórios marcados com *

Este site utiliza o Akismet para reduzir spam. Fica a saber como são processados os dados dos comentários.